<template>
    <div class="answer" style="display: inline-block;width:100%;">
        <div v-if="$interface.viewport === 'mobile'">
            <div class="loan-info">
                <div class="row">
                    <div class="columns six dotted-line">
                        <span class="left-block">Магазин</span>
                        <span class="right-block">{{operation|shopName}}</span>
                    </div>
                    <div class="columns six dotted-line" v-if="operation.shop.url">
                        <span class="left-block">Сайт</span>
                        <span class="right-block"><a :href="operation.shop.url" target="_blank">{{operation.shop.url}}</a></span>
                    </div>
                    <div class="columns six dotted-line" v-if="operation.type === 'operation'">
                        <span class="left-block">Адрес</span>
                        <span class="right-block">{{operation.shop.address}}</span>
                    </div>
                    <div class="columns six dotted-line" v-if="operation.type === 'operation'">
                        <span class="left-block">Срок</span>
                        <span class="right-block">{{operation.period}} {{$helpers.plural(operation.period, ['месяц', 'месяца', 'месяцев'])}}</span>
                    </div>
                    <div class="columns six dotted-line" v-if="operation.nearest_payment_date">
                        <span class="left-block">След. платеж</span>
                        <span class="right-block">{{$dayjs(operation.nearest_payment_date).format('DD.MM.YYYY')}}</span>
                    </div>
                    <div class="columns six dotted-line" v-if="operation.nearest_payment_amount">
                        <span class="left-block">Сумма платежа</span>
                        <span class="right-block">{{operation.nearest_payment_amount|currency}} &#8381;</span>
                    </div>
                    <div class="columns six dotted-line" v-if="operation.type === 'pos'">
                        <span class="left-block">Дата пополнения</span>
                        <span class="right-block">{{$dayjs(operation.date).format('DD.MM.YYYY')}}</span>
                    </div>
                </div>
            </div>
        </div>
        <div class="padding" v-else="$interface.viewport !== 'mobile'">
            <transition name="fade">
                <div class="row">
                    <div class="columns five">
                        <template v-if="operation.type === 'pos'">
                            <div class="padd-15-b">
                                <div class="gray">
                                    Сумма пополнения
                                </div>
                                <div>{{operation.sum|currency}} &#8381;</div>
                            </div>
                        </template>
                        <template v-else-if="operation.type === 'operation'">
                            <div class="padd-15-b">
                                <div class="gray">
                                    Сумма займа
                                </div>
                                <div>{{operation.sum|currency}} &#8381;</div>
                            </div>
                            <div class="padd-15-b">
                                <div class="gray">Дата выдачи займа</div>
                                <div>{{$dayjs(operation.date).format('DD.MM.YYYY')}}</div>
                            </div>
                            <div class="padd-15-b">
                                <div class="gray">Срок займа</div>
                                <div>{{operation.period}} {{$helpers.plural(operation.period, ['месяц', 'месяца', 'месяцев'])}}</div>
                            </div>
                            <div class="padd-15-b" v-if="operation.nearest_payment_date">
                                <div class="gray">Дата следующего платежа</div>
                                <div>{{$dayjs(operation.nearest_payment_date).format('DD.MM.YYYY')}}</div>
                            </div>
                            <div class="padd-15-b" v-if="operation.nearest_payment_amount">
                                <div class="gray">Сумма следующего платежа</div>
                                <div>{{operation.nearest_payment_amount|currency}} &#8381;</div>
                            </div>
                        </template>
                    </div>

                    <div class="columns seven">
                        <template v-if="operation.type === 'pos'">
                            <!--<div class="padd-15-b">-->
                                <!--<div class="gray">Способ пополнения</div>-->
                                <!--<div>{{operation.shop.name}}</div>-->
                            <!--</div>-->
							<div class="padd-15-b">
								<div class="gray">Дата пополнения</div>
								<div>{{$dayjs(operation.date).format('DD.MM.YYYY')}}</div>
							</div>
                        </template>
                        <template v-else-if="operation.type === 'operation'">
                            <div class="padd-15-b">
                                <div class="gray">Магазин</div>
                                <div>{{operation.shop.name}}</div>
                            </div>
                            <div class="padd-15-b" v-if="operation.shop.url">
                                <div class="gray">URL</div>
                                <div><a :href="operation.shop.url">{{operation.shop.url}}</a></div>
                            </div>
                            <div class="padd-15-b">
                                <div class="gray">Адрес</div>
                                <div>{{operation.shop.address}}</div>
                            </div>
                            <div class="padd-15-b">
                                <div class="gray">Номер покупки</div>
                                <div>{{operation.id}}</div>
                            </div>
                        </template>
                    </div>
                </div>
            </transition>
        </div>

    </div>
</template>

<script>
  export default {
    name: 'DetailOperation',
    computed: {
      operation () {
        return this.$parent.operation;
      }
    },
      filters: {
          shopName(op) {
              return `${op?.shop?.name || ''}`;
          }
      }
  }
</script>

<style scoped>

</style>
